org.apache.thrift.protocol

## Class TField

- java.lang.Object
- - org.apache.thrift.protocol.TField

-     public class TField
      extends java.lang.Object

  Helper class that encapsulates field metadata.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `id`
    `java.lang.String` | `name`
    `byte` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TField()`
    `TField(java.lang.String n, byte t, short i)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(TField otherField)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### type

          public final byte type

    - #### id

          public final short id

  - ### Constructor Detail

    - #### TField

          public TField()

    - #### TField

          public TField(java.lang.String n,
                byte t,
                short i)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(TField otherField)